> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All locations on a project

> List all locations of a given project.



## OpenAPI

````yaml GET /projects/{project_id}/locations
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/locations:
    get:
      summary: List all locations on a project
      description: List all locations of a given project.
      operationId: create-a-location-copy
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: loc_lGX1KyB6Z1XrSN5h
                        lat: '40.4773493'
                        long: '-124.1226179'
                        name: Production Facility
                        address:
                          name: Production Facility
                          street_address_1: null
                          street_address_2: null
                          city: null
                          state: null
                          postal_code: null
                          country: CA
                    info:
                      items: 5
                      page_size: 10
                      total_items: 5
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort: []
                      filter: []
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: loc_lGX1KyB6Z1XrSN5h
                        lat:
                          type: string
                          example: '40.4773493'
                        long:
                          type: string
                          example: '-124.1226179'
                        name:
                          type: string
                          example: Production Facility
                        address:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Production Facility
                            street_address_1:
                              type: string
                              nullable: true
                              example: null
                            street_address_2:
                              type: string
                              nullable: true
                              example: null
                            city:
                              type: string
                              nullable: true
                              example: null
                            state:
                              type: string
                              nullable: true
                              example: null
                            postal_code:
                              type: string
                              nullable: true
                              example: null
                            country:
                              type: string
                              example: CA
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                        example: 5
                      page_size:
                        type: integer
                        example: 10
                      total_items:
                        type: integer
                        example: 5
                      current_page:
                        type: integer
                        example: 1
                      next_page:
                        type: integer
                        nullable: true
                        example: null
                      previous_page:
                        type: integer
                        nullable: true
                        example: null
                      total_pages:
                        type: integer
                        example: 1
                      sort:
                        type: array
                        items: {}
                        example: []
                      filter:
                        type: array
                        items: {}
                        example: []
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Record not found.
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Record not found.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````